/* Copyright 2006 Oliver Madge
 * 
 * This file is part of RU-decoder.
 *
 * RU-decoder is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program in the file COPYING; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 *
 */

/* Some helper functions
 *
 */

#include "util.h"

void setDebugMode() {
  debugMode=1;
}

void unsetDebugMode() {
  debugMode=0;
}

void debugPrint(char *msg, ...) {

  if(debugMode!=1) return;
  
  va_list arg_list;

  va_start (arg_list, msg);

  vprintf (msg, arg_list);

  va_end (arg_list);
}

